Index: mscore/libmscore/style.cpp
===================================================================
--- mscore/libmscore/style.cpp	(revision 5043)
+++ mscore/libmscore/style.cpp	(working copy)
@@ -1285,10 +1285,14 @@
 //---------------------------------------------------------
 
 const TextStyle& MStyle::textStyle(TextStyleType idx) const
-      {
-      return d->textStyle(idx);
-      }
-
+{
+    if( (TextStyleType)idx == TEXT_STYLE_INVALID ){ //Hack If no style like copyrigth style in 1.1 to avoid crash
+        qDebug("TextStyle idx <%i> not found\n", idx );
+        return d->textStyle(0);
+    }
+    else
+        return d->textStyle(idx);
+}
 const TextStyle& MStyle::textStyle(const QString& name) const
       {
       return d->textStyle(name);
